#ifndef __BSP_MOTOR_H__
#define __BSP_MOTOR_H__

#include <stdint.h>

void bsp_InitMotor(void);

void bsp_AIN1_ON(void);
void bsp_AIN1_OFF(void);

void bsp_AIN2_ON(void);
void bsp_AIN2_OFF(void);

void bsp_BIN1_ON(void);
void bsp_BIN1_OFF(void);

void bsp_BIN2_ON(void);
void bsp_BIN2_OFF(void);

void bsp_changeLeftMotorSpeed(uint16_t Compare);

void bsp_changeRightMotorSpeed(uint16_t Compare);

#endif
